cd ""




*figure 1
*underlying data
 use "master.dta", clear
keep DEP month
merge 1:m DEP using "allagesfull.dta"
drop if _merge==1
drop _merge
keep if point>17 & point<36


drop if point>35 | point<18
forvalues a = 18/35 {

 quietly sum wages if elig==0 & point==`a', d
	  replace wages=r(p99) if wages>r(p99) & point==`a'  
reg wages  elig i.year#i.month  if point==`a'  , vce(cluster dob)
}


 use "master.dta", clear
  
keep DEP year elig dob age month

expand 15

bys DEP: gen TAX_YR=1998+_n

merge 1:1 DEP_T TAX_YR using "vmilitary"

drop if _merge==2
gen military=0
replace military=1 if _merge==3
drop _merge

gen m=military
forvalues a = 1999/2013 {

sum military if TA==`a' & elig==0
replace m=m/r(mean) if TA==`a'


}


gen point=TA-1996+age

keep if point>17 & point<36


forvalues a = 18/35 {
  reg military elig i.year#i.month if point==`a' , vce(cluster dob)

}

 *actual figures
use "age military new.dta", clear
twoway (connected var2 Age, mcolor(black)  lcolor(black))  (line  var4 Age, msymbol(dot) mcolor(gray)  lcolor(gray)) (line  var5 Age,  mcolor(gray)  lcolor(gray)     ) if Age>17 & Age<36 , yline(0) xlabel(#12) ylabel(#5) legend (label(1 "Point estimate")) legend (label(2 "95% CI")) legend (label(3 "95% CI")) ytitle("Proportion in military service") name(e11, replace)

twoway (connected var6 Age, mcolor(black)  lcolor(black))  (line  var8 Age, msymbol(dot) mcolor(gray)  lcolor(gray)) (line  var9 Age,  mcolor(gray)  lcolor(gray)     ) if Age>17 & Age<36 , yline(0) xlabel(#12) ylabel(#5) legend (label(1 "Point estimate")) legend (label(2 "95% CI")) legend (label(3 "95% CI")) ytitle("Earnings in $2013") name(e11, replace)


 
 
*Table 1

 use v1.dta , clear
 
 gen year=substr(SSA_DOB, 1, 4)
 gen month=substr(SSA_DOB, 5, 2)
 gen day=substr(SSA_DOB, 7, 2)

destring year, force replace
destring month, force replace
destring day, force replace

replace year=year-1900


gen yeard=substr(SSA_DOD, 1, 4)

destring yeard, force replace


gen die1996=0
replace die1996=1 if yeard<1997 & yeard!=0

drop SSA_DOD

drop if month==0 | day==0
 merge m:1 year month day using  vietnam.dta 
drop if _merge==1 | _merge==2
drop _mer

gen alive96=0
replace alive96=1 if die1996==0

reg alive96 eli i.year#i.month if year>50 & year<53, vce(cluster SSA_DOB)

   merge 1:m tin using "vfincome_.dta"

   keep if _merge!=2
    
  rename _merge file

replace file=0 if file==1
replace file=1 if file==3
   
   
 reg file  elig i.year#i.mont if year>50 & year<53 , vce(cluster SSA_DOB)

	

keep if year>50 & year<53
drop   die* 
bys SSA_DOB: gen count=_N

gen c1996=0
replace c1996=1 if yeard==0 | (yeard>1996 & yeard!=.)

by SSA_DOB: egen count1996=total(c1996)

bys SSA_DOB: gen f=_n
keep if f==1
drop f

reg count1996 elig i.year#i.mont, r




use "votheryears.dta", clear

gen year=substr(SSA_DOB, 1, 4)
keep if year=="1952" | year=="1951"
bys tin DEP_TI: gen f=_n
keep if f==1
drop f


gen y=substr(ssa, 1, 4)
destring y, force replace
replace y=1996-y

gen child=1 if DEP!=.
gen male=1 if GN=="M"
 gen female=1 if GN=="F"
 
 
  bys tin: egen children=total(child)
  by tin: egen sons=total(male)
  by tin: egen daughters=total(female)

by tin: gen f=_n
keep if f==1
 
  gen month=substr(SSA_DOB, 5, 2)
 gen day=substr(SSA_DOB, 7, 2)

destring year, force replace
destring month, force replace
destring day, force replace

replace year=year-1900

drop SSA_DOB

drop if month==0 | day==0
 merge m:1 year month day using   "vietnam.dta"
drop if _merge!=3
drop _merge
egen dob=group(year month day)


reg children  elig i.month#i.year, vce(cluster dob)
reg sons elig  i.month#i.year, vce(cluster dob)
reg daughters elig  i.month#i.year, vce(cluster dob)



*table 2

use "cwhsa.dta", clear

keep if year==70

merge 1:1 byr race interval using "dmdcdat.dta"

keep if _merge==3

keep vnu1 interval byr race nsrvd ps_r


gen eligible=0

	replace eligible=1 if byr==51 & interval<=25 /*CUTOFF=125*/
	replace eligible=1 if (byr==52) & interval<=19  /*CUTOFF=95*/

gen percent=nsrvd/(vnu1*100)

	
*bys byr race: reg ps_r elig
*bys byr race: reg ps_r elig [aw=vnu1]
bys byr race: reg  percent elig  [aw=vnu1]


bys byr interval: egen tn=total(nsrvd)
bys byr interval: egen vn=total(vnu1)

bys byr interval: gen f=_n
keep if f==1
drop f

gen percentall=tn/(vn*100)

drop if byr==53


sum percentall
sum percentall if byr==51
sum percentall if byr==52


reg  percentall elig byr , r
reg  percentall elig byr if by==51, r
reg  percentall elig byr if by==52, r



*Table 3

 use master, clear

merge  1:m DEP using "vincome1.dta" 
drop  _merge

replace wag=0 if  wag==.
rename wages w


merge 1:1 DEP using "vmself13.dta"
drop if _merge==2
drop _merge
replace se=0 if se==.

gen wage_wins=wages+se

drop wages
merge 1:1 DEP using  "v3wagemilnew.dta"
drop if _merge==2
replace wages=0 if wages==.



rename wages mwages
gen cwages=wage_wins-mwages


sum wage_wins if elig==0 , d
replace wage_wins=r(p99) if wage_wins>r(p99)
  
sum cwages if elig==0 , d
replace cwages=r(p99) if cwages>r(p99) 
  
sum mwages if elig==0, d
replace mwages=r(p99) if mwages>r(p99) 


sum wage_wins cwages mwages if elig==0
  
reg wage_wins elig i.month#i.year, vce(cluster dob)
reg cwages elig i.month#i.year, vce(cluster dob)
reg mwages elig i.month#i.year, vce(cluster dob)



gen lnw=ln(wage_wins)
gen lnc=ln(cwages)
gen lnm=ln(mwages)


sum wage_wins  if elig==0 & wage_wins!=0
sum cwages  if elig==0 & cwages!=0
sum mwages  if elig==0 & mwages!=0

reg lnw elig i.month#i.year, vce(cluster dob)
reg lnc elig i.month#i.year, vce(cluster dob)
reg lnm elig i.month#i.year, vce(cluster dob)




gen work=0
replace work=1 if wage_wins!=0
gen cwork=0
replace cwork=1 if cwages!=0
gen mwork=0
replace mwork=1 if mwages!=0
  
  sum work cwork mwork if elig==0
  
 reg work elig i.month#i.year, vce(cluster dob)
reg cwork elig i.month#i.year, vce(cluster dob)
reg mwork elig i.month#i.year, vce(cluster dob)


*table 4
use master, clear


sum military years if elig==0 

reg military elig i.month#i.year , vce(cluster dob)
reg years elig i.month#i.year , vce(cluster dob)


sum pre if elig==0 
sum post if elig==0 


    reg pre elig i.month#i.year , vce(cluster dob)
  reg post elig i.month#i.year , vce(cluster dob)


merge  1:1 DEP_TIN using  "branches.dta"
drop if _merge==2
drop _merge

gen active=0
replace active=1 if air==1 | army==1 | navy==1

gen reserve=0
replace reserve=1 if air_r==1 | army_r==1 | navy_r==1

sum active reserve if elig==0

reg active elig i.month#i.year , vce(cluster dob)
reg reserve elig i.month#i.year , vce(cluster dob)



*table 5



 use "masterf.dta", clear



merge 1:1 DEP using  "vmwages13.dta"
drop if _merge==2
drop _merge
replace wages=0 if wages==.


merge 1:1 DEP using "vmself13.dta"
drop if _merge==2
drop _merge
replace se=0 if se==.

gen wage_wins=wages+se


sum wage_wins if elig==0 , d
replace wage_wins=r(p99) if wage_wins>r(p99) 

gen lnw=ln(wage_wins)

drop wages
rename wage_wins wages

gen work=0
replace work=1 if wages!=0

sum wages work lnw military years if elig==0
sum wages if wages!=0 & elig==0

reg wages elig i.month#i.year  , vce(cluster dob)

reg work elig i.month#i.year , vce(cluster dob)

reg lnw elig i.month#i.year , vce(cluster dob)

reg military elig i.month#i.year , vce(cluster dob)

reg years elig i.month#i.year , vce(cluster dob)




*table 6

 use "master.dta", clear

 
merge 1:1 DEP using  "schoolyears.dta",
drop if _merge==2
replace und=0 if und==.
replace gradyears=0 if gradyears==.
drop _merge

merge  1:m DEP using  "vcollege1.dta" 
drop if _merge==2
bys DEP: gen f=_n
keep if f==1
drop f _merge
rename A_FREQ_ college
replace college=0 if college==.
gen anycollege=0
replace anycollege=1 if college!=0


merge  1:m DEP using  "ved13.dta" 
drop if _merge==2
bys DEP: gen f=_n
keep if f==1
rename TAX_YR college13
replace college13=0 if college13==.
replace college13=1 if college13!=0
drop f _merge




merge 1:m DEP using  "vgrad.dta"
 drop if _merge==2
bys DEP: gen f=_n
keep if f==1
drop f _merge
 rename GR graduate
 replace graduate=0 if graduate==.
 
 
 
 
 merge 1:m DEP using "vkdisability.dta"
 drop if _merge==2
bys DEP: gen f=_n
keep if f==1
drop f _merge
 rename TAX_Y disability
 replace disability=0 if disability==.
 replace disa=1 if dis!=0
 
 

 merge 1:m DEP using  "v2death.dta"
 drop if _merge==2
bys DEP: gen f=_n
keep if f==1
drop f _merge
gen y=substr(SSA_DOD, 1, 4)
gen death=0
replace death=1 if y!="0000" & y<"2014"




merge 1:1 DEP_T using "vexpp.dta"

drop if _merg==2
replace count=0 if count==.

rename count worked

drop _merge




merge 1:1 DEP_T using "vexppc.dta"

drop if _merg==2
replace count=0 if count==.

rename count civilian



 drop _merge
  
 merge 1:1 DEP using "quality.dta"
drop if _merge==2
drop _merge

gen lnq=ln(quality)








 sum worked civilian if elig==0
  reg worked elig i.year#i.month  , vce(cluster dob)
 reg civilian elig i.year#i.month , vce(cluster dob)

replace graduate=0 if gradye==0
 gen under=0
 replace under=1 if undergradyears!=0

sum college under gradua dis death college13 if elig==0
sum quality if lnq!=. & elig==0

 reg college elig i.year#i.month  , vce(cluster dob)
 reg under elig i.year#i.month  , vce(cluster dob)
 reg graduate elig i.year#i.month  , vce(cluster dob)
 reg dis elig i.year#i.month , vce(cluster dob)
 reg death elig i.year#i.month , vce(cluster dob)
 reg college13 elig i.year#i.month , vce(cluster dob)
 reg lnq elig i.year#i.month , vce(cluster dob)

 
 merge 1:m DEP using  "v2ssn.dta"

keep if _merge==3 | _merge==1
drop _merge

rename UN ssn 
destring ssn, force replace

rename dob dob_original
merge m:1 ssn using "prisoner_file.dta"

drop if _merge==2
replace _mer=0 if _me==1
replace _mer=1 if _me==3
rename _merge prison


sum prison if elig==0
  reg prison  elig  i.year#i.month  , vce(cluster dob_)

 
  merge m:1 DEP using "vcollege_vets.dta"
 drop if _merge==2
 

gen any_va=0
replace any_va=1 if _merge==3

drop graduate
drop _merge
merge 1:m DEP using "v2ssn.dta"
drop if _merge!=3
drop _merge
destring UN, force replace
rename UN STU_NO
merge m:1 ST using  "D:\finaid\grad.dta"
drop if _merge==2
reg _merge elig year, vce(cluster dob)



sum any_va graduate if _merge==3 & elig==0

 reg any_va elig i.year#i.month if  _merge==3, vce(cluster dob_)
  reg graduate elig i.year#i.month if  _merge==3, vce(cluster dob_)

 
 
 use "master.dta", clear
 merge 1:m DEP_TIN using "kids.dta"

drop if _merge==2

gen diff=kidyob-(1996-age)

gen kid=0
replace kid=1 if diff!=.

gen teenagekid=0
replace teenagekid=1 if diff<20 & diff!=.

bys DEP: egen kids=total(kid)
by DEP: egen teenagekids=total(teenagekid)

drop kid teenagekid
by DEP: gen c=_n
keep if c==1
drop c

sum teenage kids if elig==0 

reg teenage elig i.year#i.month , vce(cluster dob)
reg kids elig i.year#i.month , vce(cluster dob)


 
 
 
 *table 7
 
 
 
  use "master.dta", clear


 
merge m:1 tin using "vspouses.dta"

 drop if _merge==2
 replace _merge=0 if _merge==1
 replace _merge=1 if _merge==3
 rename _merge mother  
 
 sum mother if elig==0 
 reg mother elig i.year#i.month    , vce(cluster dob)
 


	
 merge m:1 spous using "vspouseearnew.dta"
 
  drop if _merge==2
drop _merge

  rename wages w

 merge m:1 spous using "vspouseearnmnew.dta"

  drop if _merge==2
 replace wages=0 if wages==. & mother==1
 replace w=0 if w==. & mother==1

  replace wages=wages+w
  drop w

 sum wages if  elig==0 & mother==1, d
 replace wages=r(p99) if wages>r(p99) & mother==1 
 gen lnw=ln(wages)
 
 replace wages=wages*1.3983
 
 
  gen work=0
 replace work=1 if wages!=0 & mother==1

 sum work wages if mother==1
 sum wages if lnw!=0 & mother==1
 
   reg wages elig i.year#i.month if  mother==1    , vce(cluster dob)

   reg work elig i.year#i.month if   mother==1    , vce(cluster dob)

   reg lnw elig i.year#i.month if   mother==1    , vce(cluster dob)

  drop _merge
		merge m:1 tin spoustin using "vanysdis99.dta"
				drop if _merge==2
gen disability=0
replace disability=1 if _merge==3
 
  reg disability elig i.year#i.month if mother==1, vce(cluster dob)
 		 sum disability if elig==0 & mother==1

		 
  gen yearm=substr(ssa_dobf, 1, 4)
  destring yearm, force replace
 gen monthm=substr( ssa_dobf , 5, 2)
 gen daym=substr( ssa_dobf , 7, 2)
  destring monthm , force replace
   destring daym , force replace
  gen mother_age=mdy( monthm,  daym , yearm) 
    
	 gen age1999=(1999-yearm)+(12-monthm)/12+(31-daym)/31
	 replace age1999=30 if age1999<30 & age1999!=.
	 	 replace age1999=60 if age1999>60 & age1999!=.
	 
	 sum age1999 if  elig==0
		reg age1999 elig  i.year#i.month , vce(cluster dob)

		

  
  
  
  
  
    use "master.dta", clear

  
   merge m:1 tin using "vffatheearn1.dta"
replace wages=0 if wages==.
drop if _merge==2


 sum wages if elig==0 , d
 replace wages=r(p99) if wages>r(p99)
 gen lnw=ln(wages)
 
 replace wages=wages*1.3983
 
  sum wages if elig==0 
 reg wages elig i.year#i.month   , vce(cluster dob)
 sum wages  if elig==0 & wages!=0
  reg lnw elig i.year#i.month   , vce(cluster dob)

 gen work=0
 replace work=1 if wages!=0

 sum work if elig==0 
 reg work elig i.year#i.month  , vce(cluster dob)
 
 drop _merge
  merge m:1 tin using "vpension1.dta"
 
 drop if _merge==2
 rename _merge pension
  replace pension=0 if pension==1
   replace pension=1 if pension==3
   
sum pension if elig==0
    reg pension  elig i.year#i.month  if , vce(cluster dob)
 
 

    merge m:1 tin using "vanydis99.dta"
	gen d1=0
drop if _merge==2
replace dis=1 if _merge==3
drop _merge

sum dis if elig==0
  reg dis  elig i.year#i.month   , vce(cluster dob)

   
   
 
 
 
 
 
 
   use "master.dta", clear
  
  merge m:m tin using   "vzipcode.dta"
 drop if _merge==2
   
 bys tin DEP: egen meanzip=mean(zincome)
 by tin DEP: gen z=_n
 keep if z==1
 drop z _merge zipc zincome
  gen lnzip=ln(meanzip)

 sum meanzip if elig==0 & lnzip!=0
       reg lnzip  elig i.year#i.month  , vce(cluster dob)


  
    merge m:1 tin using    "vfincome_.dta"

keep if _merge!=2

gen lnf=ln(income)
drop _merge   


	 sum income if elig==0
	 sum income if elig==0 & lnf!=.
	        reg income  elig i.year#i.month    , vce(cluster dob)
	        reg lnf  elig i.year#i.month   , vce(cluster dob)

   
	   
	 merge m:1 DEP using   "county.dta"
  drop if _merge==2
  
  sum outcome if elig==0
  
	        reg outcome  elig i.year#i.month    , vce(cluster dob)

			